<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [asleep](./bitburner.ns.asleep.md)

## NS.asleep() method

Suspends the script for n milliseconds. Doesn't block with concurrent calls.

**Signature:**

```typescript
asleep(millis: number): Promise<true>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  millis | number | Number of milliseconds to sleep. |

**Returns:**

Promise&lt;true&gt;

A promise that resolves to true when the sleep is completed.

## Remarks

RAM cost: 0 GB

